osl::Offset32Base< Width, Width2 > Class Template Reference

差が uniqになるような座標の差分. More...

`#include <offset32.h>`

## Public Member Functions

| Offset32Base (Square to, Square from)
| Offset32Base (int dx, int dy)
unsigned int | index () const
bool | isValid () const
template<Player P>
const Offset32Base | blackOffset32 () const
| Player P からみた offset を黒番のものに変更する
const Offset32Base | operator- () const

## Static Public Attributes

static const unsigned int | SIZE =(MAX-MIN+1)

## Private Types

enum | { MIN = -(Width*32+Width) , MAX = (Width*32+Width) }

## Private Member Functions

| Offset32Base (int o)
int | dx (Offset32Base offset32)
int | dy (Offset32Base offset32)

## Private Attributes

int | offset32

## Detailed Description

template<int Width, int Width2>
class osl::Offset32Base< Width, Width2 >

差が uniqになるような座標の差分.

x*32+y同士の差を取る ちょっとだけ溢れても良い

Definition at line 16 of file offset32.h.

## Member Enumeration Documentation

## anonymous enum

template<int Width, int Width2>

anonymous enum

private

Enumerator
MIN |
MAX |

Definition at line 18 of file offset32.h.

## Constructor & Destructor Documentation

## Offset32Base() [1/3]

template<int Width, int Width2>

osl::Offset32Base< Width, Width2 >::Offset32Base | ( | int | o | ) |

inline explicit private

Definition at line 26 of file offset32.h.

Referenced by osl::Offset32Base< 8, 9 >::blackOffset32(), and osl::Offset32Base< 8, 9 >::operator-().

## Offset32Base() [2/3]

template<int Width, int Width2>

osl::Offset32Base< Width, Width2 >::Offset32Base | ( | Square | to,
|  | Square | from )

inline

Definition at line 30 of file offset32.h.

## Offset32Base() [3/3]

template<int Width, int Width2>

osl::Offset32Base< Width, Width2 >::Offset32Base | ( | int | dx,
|  | int | dy )

inline

Definition at line 37 of file offset32.h.

## Member Function Documentation

## blackOffset32()

template<int Width, int Width2>
template<Player P>

const Offset32Base osl::Offset32Base< Width, Width2 >::blackOffset32 | ( |  | ) | const

inline

Player P からみた offset を黒番のものに変更する

Definition at line 52 of file offset32.h.

Referenced by osl::BoardTable::getLongDirection().

## dx()

template<int Width, int Width2>

int osl::Offset32Base< Width, Width2 >::dx | ( | Offset32Base< Width, Width2 > | offset32 | ) |

private

## dy()

template<int Width, int Width2>

int osl::Offset32Base< Width, Width2 >::dy | ( | Offset32Base< Width, Width2 > | offset32 | ) |

private

## index()

template<int Width, int Width2>

unsigned int osl::Offset32Base< Width, Width2 >::index | ( |  | ) | const

inline

Definition at line 40 of file offset32.h.

Referenced by osl::progress::Effect5x3Table::countShortEffect(), osl::PtypeTable::effect(), osl::effect_util::Neighboring8Direct::Table::findNearest(), osl::progress::Effect5x3Table::getBlockEffect(), osl::PtypeTable::getEffect(), osl::PtypeTable::getEffectNotLongU(), osl::BoardTable::getLongDirection(), osl::progress::Effect5x3Table::getLongEffect(), osl::BoardTable::getShortOffset(), osl::BoardTable::getShortOffsetNotKnight(), osl::effect_util::Neighboring8Direct::Table::hasEffect(), osl::effect_util::Neighboring8Direct::Table::hasEffectOrAdditional(), osl::effect_util::Neighboring8Direct::Table::init(), osl::PtypeTable::init(), osl::BoardTable::setDirections(), osl::BoardTable::setKnightDirections(), osl::progress::Effect5x3Table::setupBlockEffect(), osl::progress::Effect5x3Table::setupLongEffect(), osl::progress::Effect5x3Table::setupShortEffect(), and osl::BoardTable::spaceCounts().

## isValid()

template<int Width, int Width2>

bool osl::Offset32Base< Width, Width2 >::isValid | ( |  | ) | const

inline

Definition at line 44 of file offset32.h.

Referenced by osl::BoardTable::getLongDirection(), osl::BoardTable::getShortOffset(), and osl::BoardTable::getShortOffsetNotKnight().

## operator-()

template<int Width, int Width2>

const Offset32Base osl::Offset32Base< Width, Width2 >::operator- | ( |  | ) | const

inline

Definition at line 55 of file offset32.h.

## Member Data Documentation

## offset32

template<int Width, int Width2>

int osl::Offset32Base< Width, Width2 >::offset32

private

Definition at line 25 of file offset32.h.

## SIZE

template<int Width, int Width2>

const unsigned int osl::Offset32Base< Width, Width2 >::SIZE =(MAX-MIN+1)

static

Definition at line 23 of file offset32.h.

The documentation for this class was generated from the following file:

- offset32.h